es_result_test_data = {'id': 'e816a892c447ae57c817a69b9afc19c0',
                       'firstSeen': '2020-11-18T06:27:37',
                       'date_to_display_as_publish_date': '2020-11-18T06:27:37',
                       'workplace_addresses': [{'municipality_concept_id': 'sTPc_k2B_SqV', 'municipality': 'Tyresö',
                                                'region_concept_id': 'CifL_Rzy_Mku', 'region': 'Stockholms län',
                                                'country_concept_id': 'i46j_HmG_v64', 'country': 'Sverige'},
                                               {'municipality_concept_id': '', 'municipality': '',
                                                'region_concept_id': '', 'region': '',
                                                'country_concept_id': 'i46j_HmG_v64', 'country': 'Sverige'}],
                       'occupation_group': {'label': 'Grundskollärare', 'concept_id': 'oQUQ_D11_HPx'},
                       'occupation_field': {'label': 'Pedagogiskt arbete', 'concept_id': 'MVqp_eS8_kDZ'},
                       'hashsum': 'AMOEOsOvAMKIX8KtAH46LQAMK2w6pVAXHCqw4=ADPDmEM=AMOnfis=AGspwoA=+7878d8ac44cd468562ba90ef7e2837e8',
                       "source_links": [{"label": "ABCjob",
                                         "url": "https://www.example.com/ABCjob/1332106-ekonomiassistent-i-stockholm"},
                                        {"label": "XYZjob",
                                         "url": "https://www.example.com/XYZjob/1363543-ekonomiassistent-i-stockholm"}],
                       'originalJobPosting': {'title': 'Lysande lärare i trä- och metallslöjd',
                                              'brief': 'Du lysande lärare i trä- och metallslöjd! Vi på Tyresö skola har 700 fantastiska elever iförskoleklass upp till årskurs nio.',
                                              'sameAs': '', 'employer': {'name': 'Tyresö kommun'}}, 'keywords': {
        'enriched': {'occupation': ['lärare'], 'skill': ['metallslöjd', 'träslöjd', 'lärarlegitimation'], 'trait': [],
                     'location': ['tyresö', 'stockholms län', 'sverige']},
        'enriched_typeahead_terms': {'occupation': ['lärare'],
                                     'skill': ['metallslöjd', 'träslöjd', 'lärarlegitimation'], 'trait': [],
                                     'location': ['tyresö', 'stockholms län', 'sverige']},
        'extracted': {'occupation': ['grundskollärare', 'pedagogiskt arbete'], 'skill': [], 'location': [],
                      'employer': ['tyresö kommun']}}, 'relevance': 0.0}

expected_result = {'brief': 'Du lysande lärare i trä- och metallslöjd! Vi på Tyresö skola har '
                            '700 fantastiska elever iförskoleklass upp till årskurs nio.',
                   'employer': {'name': 'Tyresö kommun'},
                   'headline': 'Lysande lärare i trä- och metallslöjd',
                   'id': 'e816a892c447ae57c817a69b9afc19c0',
                   'occupation_field': {'concept_id': 'MVqp_eS8_kDZ',
                                        'label': 'Pedagogiskt arbete'},
                   'occupation_group': {'concept_id': 'oQUQ_D11_HPx', 'label': 'Grundskollärare'},
                   'publication_date': '2020-11-18T06:27:37',
                   "source_links": [{"label": "ABCjob",
                                     "url": "https://www.example.com/ABCjob/1332106-ekonomiassistent-i-stockholm"},
                                    {"label": "XYZjob",
                                     "url": "https://www.example.com/XYZjob/1363543-ekonomiassistent-i-stockholm"}],
                   'workplace_addresses': [{'country': 'Sverige',
                                            'country_concept_id': 'i46j_HmG_v64',
                                            'municipality': 'Tyresö',
                                            'municipality_concept_id': 'sTPc_k2B_SqV',
                                            'region': 'Stockholms län',
                                            'region_concept_id': 'CifL_Rzy_Mku'},
                                           {'country': 'Sverige',
                                            'country_concept_id': 'i46j_HmG_v64',
                                            'municipality': '',
                                            'municipality_concept_id': '',
                                            'region': '',
                                            'region_concept_id': ''}]}

es_result_test_data_no_values = {'id': '27942461f29c3a76f00f22060569d6ca', 'firstSeen': '2020-11-10T08:55:37',
                                 'workplace_address': {'municipality_concept_id': '', 'municipality': '',
                                                       'region_concept_id': '',
                                                       'region': '', 'country_concept_id': 'i46j_HmG_v64',
                                                       'country': 'Sverige'},
                                 'occupation_group': {'label': 'Grundutbildade sjuksköterskor',
                                                      'concept_id': 'Z8ci_bBE_tmx'},
                                 'occupation_field': {'label': 'Hälso- och sjukvård', 'concept_id': 'NYW6_mP6_vwf'},
                                 'hashsum': 'AAzDrcOPAS8gQwAWfDmDw=AHzDhBM=AMO0wpfDswAH8cw6g=ATPDhMO6AMKnSRU=+b69d02a9d7b80bae2f1345cdce6ec323',
                                 'originalJobPosting': {'title': 'Sjuksköterska',
                                                        'brief': 'Ortopediska rehabiliteringsavdelningen\\n\\nUnik möjlighet att påverka framtiden\\nVi erbjuder dig en unik möjlighet att bli delaktig direkt från början när vi nu lyfter oss för att möta morgondagens krav på effektiv och nära hälso- och sjukvård. Vi har under året genomfört en omorganisation för att skapa bättre förutsättningar för utveckling och för att främja ett processorienterat arbetssätt.',
                                                        'url': 'https://jobbsafari.se/jobbannons/sjukskoterska/AF-24334638',
                                                        "source_links": [{"label": "ABCjob",
                                                                          "url": "https://www.example.com/ABCjob/1332106-ekonomiassistent-i-stockholm"},
                                                                         {"label": "XYZjob",
                                                                          "url": "https://www.example.com/XYZjob/1363543-ekonomiassistent-i-stockholm"}],
                                                        'sameAs': ''}, 'relevance': 0.0}
